<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Name: Oncozon MDO
Description: Bevat contacten tussen een patiënt en een zorgverlener. Dit kunnen bezoeken, afspraken of niet face-to-face interacties zijn. Het betreft alleen bekende historische ziekenhuisopnames. Voor BgZ zijn dat aleen de niet poliklinische contacten)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827">
   <title>Oncozon MDO</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]"
         id="d41e13185-false-d51764e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]) &lt;= 1">(OncozonMDO): element hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]"
         id="d41e13199-false-d51893e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@classCode) = ('ENC')">(OncozonMDO): de waarde van classCode MOET 'ENC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@moodCode) = ('EVN')">(OncozonMDO): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']) &gt;= 1">(OncozonMDO): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']) &lt;= 1">(OncozonMDO): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/exception/@code]) &gt;= 1">(OncozonMDO): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/exception/@code] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/exception/@code]) &lt;= 1">(OncozonMDO): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:text) &lt;= 1">(OncozonMDO): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(OncozonMDO): element hl7:effectiveTime[hl7:low] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.290']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.290']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.178']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.178']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.179']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.179']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.210']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.210']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.110']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.110']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.111']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.111']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.112']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.112']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.113']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.113']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.114']]]) &lt;= 1">(OncozonMDO): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.114']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']"
         id="d41e13208-false-d52082e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.110.10.291')">(OncozonMDO): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.110.10.291' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:id
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:id"
         id="d41e13213-false-d52096e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/exception/@code]
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d41e13220-false-d52109e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(OncozonMDO): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.110.11.2 TypeMDOCodelijst (2018-11-07T12:28:32)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.110.11.2-2018-11-07T122832.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(OncozonMDO): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.110.11.2 TypeMDOCodelijst (2018-11-07T12:28:32).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:text
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:text"
         id="d41e13228-false-d52129e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:effectiveTime[hl7:low]
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:effectiveTime[hl7:low]"
         id="d41e13234-false-d52139e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:low) &gt;= 1">(OncozonMDO): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:low) &lt;= 1">(OncozonMDO): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="count(hl7:high) &lt;= 1">(OncozonMDO): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:effectiveTime[hl7:low]/hl7:low
Item: (OncozonMDO)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (OncozonMDO)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:effectiveTime[hl7:low]/hl7:high"
         id="d41e13245-false-d52172e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="not(*)">(OncozonMDO): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.27']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.27']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('RSON')">(OncozonMDO): de waarde van typeCode MOET 'RSON' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.1.5-2017-12-31T000000.xml')/*/valueSet/conceptList/concept/@code))])">(OncozonMDO): de waarde van typeCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.40.2.17.1.5' ZorgverlenerRolCodelijst (2017-12-31T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.36']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.36']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('PART')">(OncozonMDO): de waarde van typeCode MOET 'PART' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.290']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.290']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.178']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.178']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.179']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.179']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.210']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.210']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.110']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.110']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.111']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.111']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.112']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.112']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.113']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.113']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.291
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.114']]]
Item: (OncozonMDO)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.291']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.114']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.html"
              test="string(@typeCode) = ('COMP')">(OncozonMDO): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
